/*********** FAQ ***************/

/* Standard: Items, die nur auf der FAQ-Seite erscheinen sollen, überall ausblenden */
.faq-page-only {
  display: none;
}

/* Ausnahme: Auf der FAQ-Seite (ID 220713) diese Items anzeigen */
.page-id-220713 .faq-page-only {
  display: block;
}

/*
 Theme Name:   TEMPLATE --> auf Kundennamen setzen 
 Description:  Child Theme für Kunden - DIVI 5 --> anpassen
 Author:       fresch-webdesign
 Template:     Divi
 Version:      1.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  kundenkuerzel --> anpassen
*/

/* ==========================================================================
   Grundstile --> Sitekrafter
   ========================================================================== */
/* Animation auf fast 0 reduzieren --> User-Einstellung im Browser --> Barrierefreiheit */
@media (prefers-reduced-motion: reduce) {
  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

/* Performance: Reduce repaints and reflows --> in DIVI eigentlich enthalten; aber sicherheitshalber*/
* {
  box-sizing: border-box;
}

/* Keep the safe styles that don't conflict with Divi */
/* HTML-/Body-Basics für bessere Lesbarkeit und UX
 * scroll-behavior: smooth --> weiches Scrollen für Sprung-Anker; bei langen Seiten ggf. Performance-Verluste
 * xx-font-smoothing --> bessere Schriftbild-Schärfe
 * text-rendering: optimizeSpeed --> Beschleunigt Rendering (v. a. bei sehr viel Text), kann aber Schrift minimal „roher“ wirken lassen
 * text-size-adjust --> Sichert, dass Schriften auf mobilen Geräten browserübergreifend konsistent bleiben.
 */
html {
  scroll-behavior: smooth;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  /* Performance optimizations */
  text-rendering: optimizeSpeed;
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
}

/* Setzt auch bei Tab-Navigation smooth scrolling ein; Für Accessibility nützlich */
html:focus-within {
  scroll-behavior: smooth;
}

.fontSizeSmall {
	font-size: 30px;
	border-top-left-radius: 0;
}

/**************************************************************************************
 * TYPOGRAPHY RESET
 **************************************************************************************/ 

/* Heading Modul hat standardmäßig padding-bottom: 10px --> das möchten wir selbst kontrollieren und setzen es hier auf 0 */
.et_pb_heading h1, .et_pb_heading h2, .et_pb_heading h3, .et_pb_heading h4, .et_pb_heading h5, .et_pb_heading h6 {
    padding-bottom: 0;
}
/* Divi-Default für UL überschreiben, damit Presets greifen können */
#left-area ul, .entry-content ul, .et-l--body ul, .et-l--footer ul, .et-l--header ul {
  line-height: inherit;
}
/************************************************** Anpassungen Text-Modul **************************************************/
.text-style-basis h1:not(:first-child),
.text-style-basis h2:not(:first-child),
.text-style-basis h3:not(:first-child),
.text-style-basis h4:not(:first-child),
.text-style-basis h5:not(:first-child),
.text-style-basis h6:not(:first-child) {
    padding-top: 1em;
}

.text-style-basis p:last-of-type {
    padding-bottom: 1em;
}

.text-style-basis p:last-child, 
.text-style-basis ul:last-child, 
.text-style-basis ol:last-child {
    padding-bottom: 0;
}

/*** 
 * Button-Padding bei Hover: momentan Bug - die Padding-Werte aus dem Normal-Status werden bei Hover durch Defaults überschrieben
 * --> Klasse im Preset, btnLarge bei Typo Large, btnSmall bei TypoSmall
 * --> CSS passt für Button und mind. CTA
 */
body #page-container #et-main-area .et_pb_section .et_pb_module .btnLarge:hover,
body #page-container #et-main-area .et_pb_section .et_pb_module.btnLarge .et_pb_button:hover {
    padding-top: clamp(0.50rem, 0.40vw + 0.30rem, 1.00rem) !important;
	padding-bottom: clamp(0.50rem, 0.40vw + 0.30rem, 1.00rem) !important;
	padding-left: clamp(1.00rem, 0.80vw + 0.60rem, 1.50rem) !important;
	padding-right: clamp(1.00rem, 0.80vw + 0.60rem, 1.50rem) !important;
}
body #page-container #et-main-area .et_pb_section .et_pb_module .btnSmall:hover,
body #page-container #et-main-area .et_pb_section .et_pb_module.btnSmall .et_pb_button:hover {
	padding-top: clamp(0.25rem, 0.20vw + 0.20rem, 0.50rem) !important;
	padding-bottom: clamp(0.25rem, 0.20vw + 0.20rem, 0.50rem) !important;
    padding-left: clamp(0.50rem, 0.40vw + 0.30rem, 1.00rem) !important;
	padding-right: clamp(0.50rem, 0.40vw + 0.30rem, 1.00rem) !important;
}

